
Figure - Bug #112570
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111047 (New): AF-V2.0-小窗模式

【AF】【EVT】【小窗模式】在多任务管理器的小窗应用中先进入一个应用的小窗模式，不退出的情况下再
通过多任务管理器的小窗应用进入其他一个应用（非音乐和时钟），出现的小窗窗口仍是第一次打开的小窗
（概率性）
2022-10-14 16:38 - CD TEST-方永红

Status: CLOSED Start date: 2022-10-14

Priority: Normal Due date: 2022-11-11

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V4.0_20221128

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.user.0.0.0.20221026.alpha

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211120244

Reproducibility: Every time Fixed Version: 2022-11-14

Test Type: IT Root cause: exitRecentTasks 逻辑错误

Description

【前提条件】

1、设备已开机

2、后台无运行程序

【测试步骤】

1、进入多任务管理模式

2、从左侧的小窗应用选择一个打开小窗，如图片（非音乐和时钟，这两个和其他bug有关，不然整混了）

3、不关闭图片小窗，重复1.2操作（选择的应用不和第一次一样）

4、观察打开的小窗

【预期结果】

4、现在屏幕上打开的应该是第二次操作打开的小窗

【实际结果】

4、屏幕上打开的是第一次操作打开的小窗

【复现率】

50%

History

#1 - 2022-10-17 14:56 - CD TEST-方永红

- Category changed from 窗口定制 to CD-APP

- Assignee changed from DL FW-王琳 to CD APP-王营

#2 - 2022-10-17 15:00 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD- App-李朝鹏

#3 - 2022-10-18 15:19 - CD- App-李朝鹏

- Assignee changed from CD- App-李朝鹏 to CD APP-李蛟
■ Current conclusion

bug未修复

■ My analysis

1.从recents打开小窗与在launcher home和recents状态切换的时候关关闭小窗顺序问题，当从recents打开小窗的时候，小窗已打开，然后回到launcher home，

当监听到返回launcher home，会调用mActivityTaskManager.exitRecentTasks()。

2.该bug与112574号bug相似。

#4 - 2022-10-19 11:10 - CD APP-李蛟

- % Done changed from 0 to 100

- Degrated changed from -- to Yes

- Fixed Version set to 2022-10-19

- Root cause set to 退出任务栏时相关接口调用错误。

bug已经修复。

退出任务栏时，调用的接口出错，未进行相关的小窗恢复拦截。

#5 - 2022-10-19 11:43 - CD APP-李蛟

- Due date set to 2022-10-19

- Resolution changed from -- to FIXED

- Degrated changed from Yes to No

■ Current conclusion

已解决

■ My analysis

退出任务栏时，调用的接口出错，未进行相关的小窗恢复拦截。处理方案为:点击小窗应用前先重置标记，不调用恢复小窗接口。

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/155514

#6 - 2022-10-19 12:27 - CD APP-李蛟

- Status changed from ASSIGNED to RESOLVED

- Root cause changed from 退出任务栏时相关接口调用错误。 to 编码问题

#7 - 2022-10-20 11:35 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20221020.alpha_0038

10.20 验证关闭

#8 - 2022-10-20 11:35 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#9 - 2022-10-26 14:24 - CD TEST-方永红

- Due date changed from 2022-10-19 to 2022-10-27

- Status changed from CLOSED to New

- Assignee changed from CD APP-李蛟 to CD APP-王营

- % Done changed from 100 to 0
- Found Version changed from FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20221014.alpha to FlatBuild_VX1_MCE_xx.xx_FSE.D.user.0.0.0.20221026.alpha

- Verified Version deleted (FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20221020.alpha_0038)

之前以验证关闭，现在在26号的user版中再次出现，故重新打开

#10 - 2022-10-26 15:10 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-李德盛

#11 - 2022-10-26 15:55 - CD APP-李德盛

- Assignee changed from CD APP-李德盛 to DL FW-王琳

退出recent时不调用exitRecentTasks就没问题，小窗看一下逻辑

#12 - 2022-10-27 14:45 - CD TEST-方永红

- Target version changed from VX1_MCE_FSE_V3.0_20221030 to VX1_MCE_FSE_V3.0_update_20221115

#13 - 2022-10-27 14:45 - CD TEST-方永红

- Due date changed from 2022-10-27 to 2022-11-11

#14 - 2022-10-31 11:52 - DL FW-王琳

- Assignee changed from DL FW-王琳 to DL FW-张挽强

#15 - 2022-11-01 14:56 - CD TPM-王祥林

- Category changed from CD-APP to 窗口定制

#16 - 2022-11-07 20:11 - CDTS-TEST 周婷

- Target version changed from VX1_MCE_FSE_V3.0_update_20221115 to VX1_MCE_FSE_V4.0_20221128

请更新bug当前进展和依赖

#17 - 2022-11-11 16:39 - DL FW-张挽强

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from DL FW-张挽强 to CD TEST-方永红

- % Done changed from 0 to 100

- Root cause changed from 编码问题 to exitRecentTasks 逻辑错误

#18 - 2022-11-11 16:54 - DL FW-张挽强

- Fixed Version changed from 2022-10-19 to 2022-11-14

#19 - 2022-11-14 10:55 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211120244

11.14 

bug中所描述的问题已经解决，先关闭
#20 - 2022-11-14 10:55 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

141637.txt 8.43 MB 2022-10-14 CD TEST-方永红
